From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pip/
Date: Sat, 19 Mar 2016 13:19:17 +0000 (UTC) [thread overview]
Message-ID: <1458393543.5b74a8d29ab98df5ccb50c66674de4b43f65adec.mrueg@gentoo> (raw)
commit: 5b74a8d29ab98df5ccb50c66674de4b43f65adec
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 19 13:19:03 2016 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Mar 19 13:19:03 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b74a8d2
dev-python/pip: Version bump to 8.1.1
Package-Manager: portage-2.2.28
dev-python/pip/Manifest | 1 +
dev-python/pip/pip-8.1.1.ebuild | 73 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 74 insertions(+)
diff --git a/dev-python/pip/Manifest b/dev-python/pip/Manifest
index 2e5b2bc..4442d75 100644
--- a/dev-python/pip/Manifest
+++ b/dev-python/pip/Manifest
@@ -1,3 +1,4 @@
DIST pip-7.1.2.tar.gz 1049170 SHA256 ca047986f0528cfa975a14fb9f7f106271d4e0c3fe1ddced6c1db2e7ae57a477 SHA512 78082afe6b559bf87f91ae9b6d304cfbfce00206e09be42fdae9d449a55cd8d968df6873e834191d0b0e6baae29e72eb3eee42386ff7c5dc9c29b6c28b754449 WHIRLPOOL 953fdc9104f3ac34c9104ec93948f58c4b0e193f18da60d3247d801c283c574490f8b91146e4278888c0b920090f537095c1a1693ca352d062dd98473390fdc9
DIST pip-8.0.2.tar.gz 1130183 SHA256 46f4bd0d8dfd51125a554568d646fe4200a3c2c6c36b9f2d06d2212148439521 SHA512 f2660725da4efa156c6c0f6cb9ba3f10e8b6dd2fc9113e9a8754a59f38ee6161e5a648f9dbcf8853ef85a85d3164bcaac3a7032ac2057e92f331a337cacfc5d9 WHIRLPOOL abc88372746193686910ee127ac3f6f4bb7f3a5d7f897f705c2e43ea91d60c55ed26faf5e6acddd1d7e01772cbff4836195dcf22f9fc9dec30ad8c89986db778
DIST pip-8.0.3.tar.gz 1131758 SHA256 30f98b66f3fe1069c529a491597d34a1c224a68640c82caf2ade5f88aa1405e8 SHA512 744111288dd86580e55a4eaeebcaab7b5fdd9e2ea47500e3febe2ce0a282b074f0c687d40a764b98bc54e0bf50748506eb8a5e220a095f2fe655f5cb42ba47c1 WHIRLPOOL 5bd7824ae4a311d98e47ccbf5fcc65b06579d30c0baa58357838935fd2646e87a610e76b22704b20d0c9379c321b878b409639e3604e725f2f08f83a8d7f1dda
+DIST pip-8.1.1.tar.gz 1139175 SHA256 3e78d3066aaeb633d185a57afdccf700aa2e660436b4af618bcb6ff0fa511798 SHA512 3b8f629ca19bff627317415ca681a5ea12171be57a04347e83dcee4a4d013ff9db47beddd56bded1856d4f0ae1a075d901140fe04f544df8018f066d812c0f28 WHIRLPOOL f5ae76d3e2b6807aee5c2af03a2c83a18ae12182a8a533bc50e16ca07eb5efa1f7181d90ffcab171a687ace6880ddd8149b95a003ba749d21ae00ce1b0601891
diff --git a/dev-python/pip/pip-8.1.1.ebuild b/dev-python/pip/pip-8.1.1.ebuild
new file mode 100644
index 0000000..7a02838
--- /dev/null
+++ b/dev-python/pip/pip-8.1.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
+PYTHON_REQ_USE="threads(+)"
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Installs python packages -- replacement for easy_install"
+HOMEPAGE="https://pip.pypa.io/ https://pypi.python.org/pypi/pip/ https://github.com/pypa/pip/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+SLOT="0"
+
+# Check pip/_vendor/vendor.txt for this
+#VENDOR_DEPEND="
+# >=dev-python/distlib-0.2.2[${PYTHON_USEDEP}]
+# >=dev-python/html5lib-1.0b8[${PYTHON_USEDEP}]
+# >=dev-python/six-1.10.0${PYTHON_USEDEP}]
+# >=dev-python/colorama-0.3.6[${PYTHON_USEDEP}]
+# >=dev-python/requests-2.9.1-r2[${PYTHON_USEDEP}]
+# >=dev-python/CacheControl-0.11.6[${PYTHON_USEDEP}]
+# >=dev-python/lockfile-0.12.2[${PYTHON_USEDEP}]
+# >=dev-python/progress-1.2[${PYTHON_USEDEP}]
+# >=dev-python/packaging-16.5[${PYTHON_USEDEP}]
+# >=dev-python/retrying-1.3.3[${PYTHON_USEDEP}]
+# >=dev-python/pyparsing-2.1.0[${PYTHON_USEDEP}]
+# virtual/python-ipaddress[${PYTHON_USEDEP}]
+#"
+# https://github.com/pypa/pip/issues/3057
+#RDEPEND="${VENDOR_DEPEND}
+# >=dev-python/setuptools-19.2[${PYTHON_USEDEP}]
+# <dev-python/setuptools-19.4[${PYTHON_USEDEP}]
+#"
+#DEPEND="${RDEPEND}"
+
+# required test data isn't bundled with the tarball
+RESTRICT="test"
+
+#PATCHES=(
+# "${FILESDIR}"/${PN}-6.0.2-disable-version-check.patch
+# "${FILESDIR}"/${PN}-8.0.0-unbundle.patch
+# )
+
+#python_prepare_all() {
+# mv pip/_vendor/__init__.py "${T}" || die
+# rm -r pip/_vendor/* || die
+# mv "${T}"/__init__.py pip/_vendor/__init__.py || die
+#
+# distutils-r1_python_prepare_all
+#}
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+python_install_all() {
+ local DOCS=( AUTHORS.txt docs/*.rst )
+ distutils-r1_python_install_all
+
+ COMPLETION="${T}"/completion.tmp
+
+ "${PYTHON}" -m pip completion --bash > "${COMPLETION}" || die
+ newbashcomp "${COMPLETION}" ${PN}
+
+ "${PYTHON}" -m pip completion --zsh > "${COMPLETION}" || die
+ insinto /usr/share/zsh/site-functions
+ newins "${COMPLETION}" _pip
+}
next reply other threads:[~2016-03-19 13:19 UTC|newest]
Thread overview: 266+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-03-19 13:19 Manuel Rüger [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-10 3:03 [gentoo-commits] repo/gentoo:master commit in: dev-python/pip/ Eli Schwartz
2024-11-09 13:57 Michał Górny
2024-11-09 13:30 Michał Górny
2024-10-25 12:09 Arthur Zamarin
2024-08-17 11:15 Michał Górny
2024-08-17 11:15 Michał Górny
2024-08-17 11:15 Michał Górny
2024-08-17 9:57 Michał Górny
2024-08-17 9:57 Michał Górny
2024-08-17 9:57 Michał Górny
2024-08-12 17:18 Arthur Zamarin
2024-07-30 11:51 Michał Górny
2024-07-30 11:51 Michał Górny
2024-07-29 4:50 Eli Schwartz
2024-07-29 3:26 Michał Górny
2024-07-27 11:58 Sam James
2024-07-27 11:58 Sam James
2024-07-27 9:28 Arthur Zamarin
2024-07-27 9:17 Arthur Zamarin
2024-07-27 6:00 Michał Górny
2024-07-11 22:28 James Le Cuirot
2024-07-09 2:10 Michał Górny
2024-07-07 1:03 Ionen Wolkens
2024-07-05 19:41 Viorel Munteanu
2024-07-05 19:41 Viorel Munteanu
2024-07-05 19:41 Viorel Munteanu
2024-06-27 2:53 Michał Górny
2024-06-25 23:16 Sam James
2024-06-24 17:57 Jakov Smolić
2024-06-24 0:13 Sam James
2024-06-23 20:19 Sam James
2024-05-11 10:02 Michał Górny
2024-05-11 10:02 Michał Górny
2024-02-20 7:48 Sam James
2024-02-04 15:56 Michał Górny
2024-02-04 15:56 Michał Górny
2024-02-04 14:47 Michał Górny
2024-01-17 17:11 Michał Górny
2024-01-17 17:11 Michał Górny
2024-01-06 10:27 Michał Górny
2024-01-06 10:24 Michał Górny
2023-12-17 18:00 Arthur Zamarin
2023-11-25 10:31 Michał Górny
2023-11-25 7:35 Arthur Zamarin
2023-10-22 6:55 Michał Górny
2023-10-15 17:56 Michał Górny
2023-08-19 18:19 Michał Górny
2023-08-19 17:04 Arthur Zamarin
2023-07-23 6:53 Michał Górny
2023-07-17 7:34 Michał Górny
2023-05-27 15:53 Michał Górny
2023-05-15 20:13 Arthur Zamarin
2023-05-15 20:08 Arthur Zamarin
2023-04-27 3:10 Michał Górny
2023-04-23 19:30 Michał Górny
2023-03-03 17:48 Michał Górny
2023-03-03 17:38 Arthur Zamarin
2023-02-19 19:46 Michał Górny
2023-02-19 15:32 Michał Górny
2023-02-18 7:03 Michał Górny
2023-02-18 7:03 Michał Górny
2023-02-18 7:03 Michał Górny
2023-02-07 14:31 Michał Górny
2023-01-31 7:23 Michał Górny
2022-11-19 8:49 Arthur Zamarin
2022-11-19 8:49 Arthur Zamarin
2022-11-06 7:59 Michał Górny
2022-10-16 5:41 Arthur Zamarin
2022-10-13 4:54 Michał Górny
2022-08-30 17:12 Arthur Zamarin
2022-08-04 17:55 Arthur Zamarin
2022-08-02 13:02 Michał Górny
2022-08-02 13:02 Michał Górny
2022-07-29 14:37 Michał Górny
2022-06-12 12:46 Sam James
2022-06-01 7:21 Michał Górny
2022-05-12 8:57 Michał Górny
2022-05-12 8:57 Michał Górny
2022-04-25 16:50 Sam James
2022-04-17 16:54 Michał Górny
2022-04-17 8:07 Jakov Smolić
2022-03-15 17:56 Jakov Smolić
2022-03-14 21:00 Arthur Zamarin
2022-01-31 23:47 Michał Górny
2022-01-31 8:32 Michał Górny
2022-01-31 0:26 Michał Górny
2022-01-06 20:52 Michał Górny
2022-01-01 11:05 Sam James
2021-12-31 16:53 Matt Turner
2021-12-30 13:10 Sam James
2021-12-29 10:36 Arthur Zamarin
2021-12-29 6:10 Arthur Zamarin
2021-12-28 21:40 Arthur Zamarin
2021-12-28 21:40 Arthur Zamarin
2021-12-28 21:40 Arthur Zamarin
2021-12-28 21:39 Arthur Zamarin
2021-12-20 8:40 Michał Górny
2021-12-07 6:46 Joshua Kinard
2021-11-30 22:26 James Le Cuirot
2021-11-29 19:41 Marek Szuba
2021-11-29 5:22 Arthur Zamarin
2021-11-28 19:01 Arthur Zamarin
2021-11-28 19:01 Arthur Zamarin
2021-11-28 19:01 Arthur Zamarin
2021-11-28 19:01 Arthur Zamarin
2021-11-28 19:01 Arthur Zamarin
2021-11-28 14:42 Michał Górny
2021-11-28 11:01 Michał Górny
2021-11-28 7:38 Arthur Zamarin
2021-11-27 7:46 Arthur Zamarin
2021-11-27 7:19 Michał Górny
2021-11-27 7:19 Michał Górny
2021-09-24 21:36 James Le Cuirot
2021-08-26 8:15 Michał Górny
2021-08-26 3:00 Sam James
2021-08-13 6:58 Michał Górny
2021-08-07 8:50 Michał Górny
2021-08-01 12:25 Michał Górny
2021-07-31 22:23 Sam James
2021-07-25 8:41 Michał Górny
2021-07-21 7:25 Michał Górny
2021-06-26 21:35 Michał Górny
2021-06-24 8:20 Michał Górny
2021-06-24 4:28 Agostino Sarubbo
2021-06-09 20:54 Michał Górny
2021-06-09 15:46 Marek Szuba
2021-06-09 15:19 Marek Szuba
2021-06-03 19:15 Sam James
2021-06-02 14:19 Michał Górny
2021-05-26 8:04 Sam James
2021-05-24 10:22 Michał Górny
2021-05-24 2:39 Joshua Kinard
2021-05-01 7:45 Michał Górny
2021-03-02 8:43 Michał Górny
2021-03-02 3:15 Sam James
2021-02-25 7:40 Michał Górny
2021-02-24 23:26 Sam James
2021-01-30 16:59 Michał Górny
2021-01-24 21:48 Michał Górny
2021-01-24 11:41 Michał Górny
2021-01-18 19:06 Michał Górny
2021-01-18 17:42 Sam James
2021-01-05 21:32 Michał Górny
2021-01-05 21:03 Sam James
2020-12-16 10:09 Michał Górny
2020-12-15 11:05 Michał Górny
2020-12-06 12:21 Michał Górny
2020-11-28 15:44 Sam James
2020-11-26 8:26 Michał Górny
2020-11-26 6:56 Agostino Sarubbo
2020-10-18 6:25 Michał Górny
2020-09-28 18:20 Sergei Trofimovich
2020-09-28 17:41 Sergei Trofimovich
2020-09-20 22:40 Thomas Deutschmann
2020-09-20 9:36 Michał Górny
2020-09-19 21:33 Michał Górny
2020-09-19 20:19 Mikle Kolyada
2020-09-19 20:18 Mikle Kolyada
2020-09-18 8:05 Agostino Sarubbo
2020-09-18 7:54 Agostino Sarubbo
2020-09-18 7:45 Agostino Sarubbo
2020-09-08 19:11 Michał Górny
2020-09-07 8:47 Sergei Trofimovich
2020-09-07 8:20 Sergei Trofimovich
2020-08-12 10:01 Michał Górny
2020-08-05 14:08 Agostino Sarubbo
2020-08-04 23:51 Sam James
2020-08-04 13:48 Michał Górny
2020-08-04 3:39 Sam James
2020-08-03 16:34 Sergei Trofimovich
2020-07-30 21:30 Sam James
2020-07-17 6:14 Michał Górny
2020-06-18 10:26 Michał Górny
2020-06-11 21:48 Sergei Trofimovich
2020-06-11 21:48 Sergei Trofimovich
2020-06-11 8:01 Michał Górny
2020-06-10 20:20 Sergei Trofimovich
2020-06-10 20:20 Sergei Trofimovich
2020-06-01 20:30 Michał Górny
2020-05-31 23:10 Matt Turner
2020-05-30 20:04 Sergei Trofimovich
2020-05-30 19:48 Michał Górny
2020-05-30 19:48 Michał Górny
2020-05-30 12:48 Michał Górny
2020-05-30 7:46 Michał Górny
2020-05-29 20:42 Sergei Trofimovich
2020-05-29 12:04 Michał Górny
2020-05-28 8:00 Michał Górny
2020-05-20 7:18 Michał Górny
2020-05-10 9:21 Mikle Kolyada
2020-05-06 17:13 Mikle Kolyada
2020-05-06 16:43 Mikle Kolyada
2020-05-06 16:43 Mikle Kolyada
2020-05-06 14:22 Mikle Kolyada
2020-04-30 14:46 Michał Górny
2020-04-28 17:14 Michał Górny
2020-04-27 0:45 Matt Turner
2020-04-27 0:45 Matt Turner
2020-03-21 16:32 Michał Górny
2020-03-21 9:24 Mart Raudsepp
2020-02-11 12:03 Alexey Shvetsov
2020-02-03 11:31 Agostino Sarubbo
2020-01-31 13:45 Agostino Sarubbo
2020-01-17 16:31 Mike Gilbert
2020-01-17 16:27 Mike Gilbert
2019-12-10 19:25 Sergei Trofimovich
2019-12-04 19:44 Sergei Trofimovich
2019-12-04 6:48 Aaron Bauman
2019-11-30 4:32 Aaron Bauman
2019-11-24 19:31 Michał Górny
2019-11-24 15:09 Michał Górny
2019-11-23 1:11 Patrick McLean
2019-08-13 20:31 Maxim Koltsov
2019-06-27 15:25 Matthew Thode
2019-05-09 14:50 Manuel Rüger
2019-04-28 8:15 Maxim Koltsov
2019-04-28 8:15 Maxim Koltsov
2018-06-26 5:49 Michał Górny
2018-06-03 13:55 Mike Frysinger
2018-03-18 11:31 Sergei Trofimovich
2018-02-18 0:03 Patrice Clement
2017-10-11 16:55 Tim Harder
2017-07-26 19:49 Markus Meier
2017-06-23 2:05 Mike Gilbert
2017-06-23 1:44 Matt Thode
2017-06-13 12:31 Agostino Sarubbo
2017-06-10 13:45 Agostino Sarubbo
2017-06-04 19:20 Tobias Klausmann
2017-06-04 16:01 Agostino Sarubbo
2017-05-18 19:14 Michael Weber
2017-01-04 4:28 Mike Gilbert
2016-09-05 21:39 Manuel Rüger
2016-03-10 0:10 Mike Gilbert
2016-02-28 5:58 Matt Thode
2016-02-25 19:06 Justin Lecher
2016-02-25 18:56 Justin Lecher
2016-02-03 14:14 Justin Lecher
2016-01-26 14:41 Justin Lecher
2016-01-22 8:34 Justin Lecher
2016-01-22 8:03 Justin Lecher
2016-01-22 6:14 Matt Thode
2016-01-20 15:36 Justin Lecher
2015-12-28 13:34 Justin Lecher
2015-11-23 10:05 Justin Lecher
2015-11-23 6:44 Jeroen Roovers
2015-11-22 19:32 Markus Meier
2015-11-19 10:25 Agostino Sarubbo
2015-11-16 15:01 Agostino Sarubbo
2015-11-12 18:38 Justin Lecher
2015-11-11 17:27 Justin Lecher
2015-11-08 21:05 Mike Gilbert
2015-11-05 11:52 Agostino Sarubbo
2015-11-04 16:09 Agostino Sarubbo
2015-11-04 15:50 Agostino Sarubbo
2015-11-02 13:12 Agostino Sarubbo
2015-11-02 13:09 Agostino Sarubbo
2015-10-10 18:49 Mikle Kolyada
2015-10-01 20:47 Markus Meier
2015-09-22 17:36 Tobias Klausmann
2015-09-08 8:16 Joshua Kinard
2015-09-06 5:20 Jeroen Roovers
2015-08-27 9:37 Justin Lecher
2015-08-27 7:59 Justin Lecher
2015-08-25 23:23 Mike Gilbert
2015-08-25 3:03 Tim Harder
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1458393543.5b74a8d29ab98df5ccb50c66674de4b43f65adec.mrueg@gentoo \
--to=mrueg@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox